<?php
namespace Claromentis\Design;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_5164b7c135dc9712c57fea5e" . "29bbfdfe" => base64_decode("ZGVzaWduLnBlcm1zLnZpZXdfd" . "GhlbWU="), "_0c5123aa744f69bbc" . "0e8b3ea2f6e847d" => base64_decode("bG1zZ" . "w=="));
use Claromentis\Core\Acl\Acl;
use Claromentis\Core\Acl\CommonPermsDialog;




class Perm
{
    const CLASS_THEME = 136;
    const CLASS_THEME_FORCED = 137;
    const VIEW = 0b1;
    public static function GetPermsDialog(Acl $acl)
    {
        $_f81196ce31aa53103a8109719a888904 = new CommonPermsDialog($acl);
        $_f81196ce31aa53103a8109719a888904->SetAllPermValues(self::GetAllPermValues());
        return $_f81196ce31aa53103a8109719a888904;
    }
    public static function GetAllPermValues()
    {
        return [self::VIEW => [$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_5164b7c135dc9712c5" . "7fea5e29bbfdfe"]), true]];
    }
}